Kirjoittaja Aihe: QT libraries and headers!?  (Luettu 1718 kertaa)

Kupuntu

  • Käyttäjä
  • Viestejä: 804
  • Kubuntu 8.10 @ Amilo A1645
    • Profiili
QT libraries and headers!?
« : 03.03.06 - klo:20.49 »
Pistin aiheen tänne, sillä tämä on QT-onkelma. Eli yritän kääntää kxicq-nimistä ohjelmaa, mutta kun menen sen hakemistoon ja kirjoitan ./configure, se pysähtyy kohtaan checking for Qt... configure: error: Qt >= 1.42 (headers and libraries) not found. Please check your installation!. Ihmettelen tätä, sillä paketti kubuntu-desktop on asennettu ja myös erittäin monia libqt-pakettia. Niitä on asentamatta niin paljon, että en haluaisi asentaa niitä kaikkia. Jos joku tietää vastauksen, otan sen mielelläni vastaan. PS.En ole KDE-käyttäjä.
Amilo A1645: AMD 3300+ 2.0 Ghz, 512 mb RAM, 80 gb kiintolevy.
Last.fm

janne

  • Käyttäjä
  • Viestejä: 5150
    • Profiili
Re: QT libraries and headers!?
« Vastaus #1 : 03.03.06 - klo:21.35 »
Pistin aiheen tänne, sillä tämä on QT-onkelma. Eli yritän kääntää kxicq-nimistä ohjelmaa, mutta kun menen sen hakemistoon ja kirjoitan ./configure, se pysähtyy kohtaan checking for Qt... configure: error: Qt >= 1.42 (headers and libraries) not found. Please check your installation!. Ihmettelen tätä, sillä paketti kubuntu-desktop on asennettu ja myös erittäin monia libqt-pakettia. Niitä on asentamatta niin paljon, että en haluaisi asentaa niitä kaikkia. Jos joku tietää vastauksen, otan sen mielelläni vastaan.

ohjelmien kääntämiseen tarvitaan yleensä headerit sisältävä dev-paketti kyseissitä kirjastoista, jotta ohjelma voisi käyttää kirjastoissa olevia metodeja/funktioita. kirjaston nimi puolestaan alkaa varsin usein lib- merkkijonolla. nyt en ole kirjastoista varma, mutta libqt:sta ei tada olla dev-pakettia kuin 4-versiolle ja ainakin KDE käyttää vielä versiota 3, joten auttaisikohan asiaan paketin libqt3-headers asentaminen?

PS.En ole KDE-käyttäjä.

en minäkään, mutta ei kysymyskään ole millään tapaa KDE-spesifinen.
Janne